&{
	position: relative;
	left: $left-sidebar-width;
	left: var(--left-sidebar-width);
	transition: left $left-sidebar-transition;
	transition: left var(--left-sidebar-transition);
	position: fixed;
	width: 100vw;
	height: 100vh;
	overflow: auto;
	padding-top: getNavHeight();
	&.pad-0{
		padding-top: 0;
	}
}
@each $width in $resposive-width{
    @media screen and (max-width: #{$width}px){ 
    	&{
    		padding-top: getNavHeight($width);
    		&.pad-0{
    			padding-top: 0;
    		}
    	}
	}
}